string-interpolate-0.3.4.0: Haskell string/text/bytestring interpolation that just works

Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.String.Interpolate.Types

# Documentation

data InterpSegment Source #

Constructors

Expression String |
Verbatim String |
Spaces Int |
Tabs Int |

#### Instances

Instances details

Show InterpSegment Source # |
Instance details Defined in Data.String.Interpolate.Types Methods showsPrec :: Int -> InterpSegment -> ShowS Source # show :: InterpSegment -> String Source # showList :: [InterpSegment] -> ShowS Source #
Eq InterpSegment Source # |
Instance details Defined in Data.String.Interpolate.Types Methods (==) :: InterpSegment -> InterpSegment -> Bool Source # (/=) :: InterpSegment -> InterpSegment -> Bool Source #

type Line = [InterpSegment] Source #

type Lines = [Line] Source #